GDBserver

Macros
ppc-linux.h File Reference
`#include <asm/ptrace.h>`
`#include <asm/cputable.h>`

Go to the source code of this file.

## Macros
#define | PT_ORIG_R3 34
#define | PT_TRAP 40
#define | PPC_FEATURE_CELL 0x00010000
#define | PPC_FEATURE_BOOKE 0x00008000
#define | PPC_FEATURE_HAS_DFP 0x00000400 /* Decimal Floating Point. */
#define | PPC_FEATURE_HAS_VSX 0x00000080
#define | PPC_FEATURE_HAS_ALTIVEC 0x10000000
#define | PPC_FEATURE_HAS_SPE 0x00800000
#define | PTRACE_GETVRREGS 18
#define | PTRACE_SETVRREGS 19
#define | PTRACE_GETVSXREGS 27
#define | PTRACE_SETVSXREGS 28
#define | PTRACE_GETEVRREGS 20
#define | PTRACE_SETEVRREGS 21

## Macro Definition Documentation

## ◆ PPC_FEATURE_BOOKE

#define PPC_FEATURE_BOOKE 0x00008000

Definition at line 40 of file ppc-linux.h.

## ◆ PPC_FEATURE_CELL

#define PPC_FEATURE_CELL 0x00010000

Definition at line 37 of file ppc-linux.h.

Referenced by ppc_arch_setup().

## ◆ PPC_FEATURE_HAS_ALTIVEC

#define PPC_FEATURE_HAS_ALTIVEC 0x10000000

Definition at line 49 of file ppc-linux.h.

Referenced by ppc_arch_setup(), ppc_fill_vrregset(), and ppc_store_vrregset().

## ◆ PPC_FEATURE_HAS_DFP

#define PPC_FEATURE_HAS_DFP 0x00000400 /* Decimal Floating Point. */

Definition at line 43 of file ppc-linux.h.

Referenced by ppc_arch_setup().

## ◆ PPC_FEATURE_HAS_SPE

#define PPC_FEATURE_HAS_SPE 0x00800000

Definition at line 52 of file ppc-linux.h.

Referenced by ppc_arch_setup(), ppc_cannot_store_register(), ppc_fill_evrregset(), and ppc_store_evrregset().

## ◆ PPC_FEATURE_HAS_VSX

#define PPC_FEATURE_HAS_VSX 0x00000080

Definition at line 46 of file ppc-linux.h.

Referenced by ppc_arch_setup(), ppc_fill_vsxregset(), and ppc_store_vsxregset().

## ◆ PT_ORIG_R3

#define PT_ORIG_R3 34

Definition at line 26 of file ppc-linux.h.

## ◆ PT_TRAP

#define PT_TRAP 40

Definition at line 29 of file ppc-linux.h.

## ◆ PTRACE_GETEVRREGS

#define PTRACE_GETEVRREGS 20

Definition at line 81 of file ppc-linux.h.

## ◆ PTRACE_GETVRREGS

#define PTRACE_GETVRREGS 18

Definition at line 67 of file ppc-linux.h.

## ◆ PTRACE_GETVSXREGS

#define PTRACE_GETVSXREGS 27

Definition at line 73 of file ppc-linux.h.

## ◆ PTRACE_SETEVRREGS

#define PTRACE_SETEVRREGS 21

Definition at line 82 of file ppc-linux.h.

## ◆ PTRACE_SETVRREGS

#define PTRACE_SETVRREGS 19

Definition at line 68 of file ppc-linux.h.

## ◆ PTRACE_SETVSXREGS

#define PTRACE_SETVSXREGS 28

Definition at line 74 of file ppc-linux.h.